
\typeout{Document Class: Myslides by Geert Uytterhoeven}
\typeout{$Id: myslides.cls,v 1.4 1999/05/16 18:34:04 geert Exp $}

\LoadClass{slides}

\textwidth 185mm
\textheight 256mm
\topmargin -10mm
\oddsidemargin -15mm
\evensidemargin -15mm
\headsep 0mm

\pagestyle{empty}

\def\title#1{\gdef\@title{#1}\gdef\@subtitle{#1}}
\def\otherauthor#1{\gdef\@otherauthor{#1}}
\def\subtitle#1{\gdef\@subtitle{#1}}
\def\email#1{\gdef\@email{#1}}
\def\www#1{\gdef\@www{#1}}
\def\orgname#1{\gdef\@orgname{#1}}
\def\orglogolarge#1{\gdef\@orglogol{#1}}
\def\orglogosmall#1{\gdef\@orglogos{#1}}

\renewcommand\maketitle{\begin{center}
    {\Large \textbf{\@title} \par}%
    \@date \par%
    \textbf{\@author \@otherauthor} \linebreak%
    {\small \textbf{\texttt{\@email}}} \linebreak%
    {\small \textbf{\texttt{\@www}}} \par%
    \textbf{\@orgname} \par%
    \@orglogol \end{center}%
}

\newenvironment{myslide}[1]
    {\typeout{#1}\begin{slide}{\hfill \textbf{\Large #1} \hfill} \linebreak%
    \rule{\hsize}{1mm} \vfill}
    {\vfill \rule{\hsize}{1mm} \parbox{40mm}{\@orglogos} \hfill%
    \small\@subtitle \hfill \parbox{40mm}{\raggedleft\tiny\@author}%
    \end{slide}}

